//generate_pal.c
//turns GIMP exported palette into SMS palette
//Bryan Topp <betopp@betopp.com> 2015

#include <stdio.h>

int main(int argc, const char **argv)
{
	int entry;
	for(entry=0;entry<16;entry++)
	{
		unsigned char r = fgetc(stdin);
		unsigned char g = fgetc(stdin);
		unsigned char b = fgetc(stdin);
		
		unsigned char output = 0;
		
		if(r > 0xc0)
			output |= 0x03;
		else if(r > 0x80)
			output |= 0x02;
		else if(r > 0x40)
			output |= 0x01;
		
		
		if(g > 0xc0)
			output |= 0x0c;
		else if(g > 0x80)
			output |= 0x08;
		else if(g > 0x40)
			output |= 0x04;
		
		
		if(b > 0xc0)
			output |= 0x30;
		else if(b > 0x80)
			output |= 0x20;
		else if(b > 0x40)
			output |= 0x10;
		
		fputc(output, stdout);
		
	}
	
	
}