;SMS memory map

;WLA-DX memory map configuration
.MEMORYMAP
	DEFAULTSLOT 0
	
	;ROM mapping, 3 frames in memory map of $4000 each
	;Default to beginning of ROM
	SLOTSIZE	$4000
	SLOT		0	$0000 ;We always map bank 0 to slot 0. All code is here.
	SLOT		1	$4000 ;We use slot 1 for data.
	SLOT		2	$8000 
	
	;RAM, single frame of $4000 cut in half
	SLOTSIZE	$2000
	SLOT		3	$C000	
.ENDME

;Banks, as switchable by SMS
.ROMBANKMAP
	BANKSTOTAL 8
	BANKSIZE $4000
	BANKS 8
.ENDRO

;fill empties with return instruction
.EMPTYFILL $C9


.DEFINE SLOT_1_REGISTER $FFFE
.DEFINE SLOT_2_REGISTER $FFFF


;Writes standard SMS ROM tag
.SMSTAG